Bug 1420575 - [Docs][RFE][Admin] Document the ability to change an initialized Data Center type to Shared or Local
Summary: [Docs][RFE][Admin] Document the ability to change an initialized Data Center ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ovirt-4.1.3
: ---
Assignee: Avital Pinnick
QA Contact: Byron Gravenorst
URL:
Whiteboard:
Depends On: 1302185
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 01:12 UTC by Byron Gravenorst
Modified: 2019-05-07 12:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 06:52:35 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Byron Gravenorst 2017-02-09 01:12:23 UTC
Users can now change an initialized Data Center type to Shared or Local. The following updates will be available: 

1. Shared to Local - Only for a Data Center that does not contain more than one host and more than one cluster, since a local Data Center does not support it. The Manager will validate and block this operation with the following messages:

    CLUSTER_CANNOT_ADD_MORE_THEN_ONE_HOST_TO_LOCAL_STORAGE
    VDS_CANNOT_ADD_MORE_THEN_ONE_HOST_TO_LOCAL_STORAGE

2. Local to Shared - Only for a Data Center that does not contain a local Storage Domain. The Manager will validate and block this operation with the following message:

    ERROR_CANNOT_CHANGE_STORAGE_POOL_TYPE_WITH_LOCAL.

This update is useful for data domains that are used to move virtual machines or templates around.

Comment 1 Lucy Bopf 2017-08-04 02:07:54 UTC
Assigning to Avital for review.

Avital, I don't think we need to go as far as adding the error messages, but a short explanation of the allowed updates would be good. I suspect there are also places in the docs set where we say that such updates are not allowed, so those will need to be removed if they exist.


Note You need to log in before you can comment on or make changes to this bug.